import "convex/react";

declare module "convex/react" {
  import type { FunctionReference } from "convex/server";

  type OriginalUseQuery = typeof import("convex/react").useQuery;
  type OriginalArgs = Parameters<OriginalUseQuery>[1];
  type OriginalReturn = ReturnType<OriginalUseQuery>;

  export function useQuery(
    query: FunctionReference<"query"> | "skip",
    args?: OriginalArgs
  ): OriginalReturn;
}
